#! /bin/bash

function rename_oldIP_files () {
    local oldIP=$1;
    local newIP=$2;

    rename_list=$(find /var/lib/glusterd | grep "$oldIP")
    for file in $rename_list; do
        newfile=$(echo "$file" | sed s/"$oldIP"/"$newIP"/g)
        mv $file $newfile
    done
}

function search_and_replace_IPs () {
    local oldIP=$1;
    local newIP=$2;

    find /var/lib/glusterd -type f | xargs sed -i s/"$oldIP"/"$newIP"/g
    return $?
}

if [ $# -ne 2 ]; then
	echo "Usage: migration-helper oldIP newIP"
	exit 1
fi

search_and_replace_IPs $@
rename_oldIP_files $@
